net.minecraft.village

## Class Village

- java.lang.Object
- - net.minecraft.village.Village

-     public class Village
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Village()`
    `Village(World par1World)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addOrRenewAgressor(EntityLivingBase par1EntityLivingBase)`
    `void` | `addVillageDoorInfo(VillageDoorInfo par1VillageDoorInfo)`
    `void` | `endMatingSeason()` Prevent villager breeding for a fixed interval of time
    `VillageDoorInfo` | `findNearestDoor(int par1, int par2, int par3)`
    `VillageDoorInfo` | `findNearestDoorUnrestricted(int par1, int par2, int par3)` Find a door suitable for shelter.
    `EntityLivingBase` | `findNearestVillageAggressor(EntityLivingBase par1EntityLivingBase)`
    `void` | `func_82683_b(int par1)`
    `EntityPlayer` | `func_82685_c(EntityLivingBase par1EntityLivingBase)`
    `void` | `func_82691_a(World par1World)`
    `ChunkCoordinates` | `getCenter()`
    `int` | `getNumVillageDoors()` Actually get num village door info entries, but that boils down to number of doors.
    `int` | `getNumVillagers()`
    `int` | `getReputationForPlayer(String par1Str)` Return the village reputation for a player
    `int` | `getTicksSinceLastDoorAdding()`
    `VillageDoorInfo` | `getVillageDoorAt(int par1, int par2, int par3)`
    `List` | `getVillageDoorInfoList()` called only by class EntityAIMoveThroughVillage
    `int` | `getVillageRadius()`
    `boolean` | `isAnnihilated()` Returns true, if there is not a single village door left.
    `boolean` | `isInRange(int par1, int par2, int par3)` Returns true, if the given coordinates are within the bounding box of the village.
    `boolean` | `isMatingSeason()` Return whether villagers mating refractory period has passed
    `boolean` | `isPlayerReputationTooLow(String par1Str)` Return whether this player has a too low reputation with this village.
    `void` | `readVillageDataFromNBT(NBTTagCompound par1NBTTagCompound)` Read this village's data from NBT.
    `int` | `setReputationForPlayer(String par1Str, int par2)` Set the village reputation for a player.
    `void` | `tick(int par1)` Called periodically by VillageCollection
    `void` | `writeVillageDataToNBT(NBTTagCompound par1NBTTagCompound)` Write this village's data to NBT.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Village

          public Village()

    - #### Village

          public Village(World par1World)

  - ### Method Detail

    - #### func_82691_a

          public void func_82691_a(World par1World)

    - #### tick

          public void tick(int par1)

      Called periodically by VillageCollection

    - #### getCenter

          public ChunkCoordinates getCenter()

    - #### getVillageRadius

          public int getVillageRadius()

    - #### getNumVillageDoors

          public int getNumVillageDoors()

      Actually get num village door info entries, but that boils down to number of doors. Called by EntityAIVillagerMate and VillageSiege

    - #### getTicksSinceLastDoorAdding

          public int getTicksSinceLastDoorAdding()

    - #### getNumVillagers

          public int getNumVillagers()

    - #### isInRange

          public boolean isInRange(int par1,
                          int par2,
                          int par3)

      Returns true, if the given coordinates are within the bounding box of the village.

    - #### getVillageDoorInfoList

          public List getVillageDoorInfoList()

      called only by class EntityAIMoveThroughVillage

    - #### findNearestDoor

          public VillageDoorInfo findNearestDoor(int par1,
                                        int par2,
                                        int par3)

    - #### findNearestDoorUnrestricted

          public VillageDoorInfo findNearestDoorUnrestricted(int par1,
                                                    int par2,
                                                    int par3)

      Find a door suitable for shelter. If there are more doors in a distance of 16 blocks, then the least restricted one (i.e. the one protecting the lowest number of villagers) of them is chosen, else the nearest one regardless of restriction.

    - #### getVillageDoorAt

          public VillageDoorInfo getVillageDoorAt(int par1,
                                         int par2,
                                         int par3)

    - #### addVillageDoorInfo

          public void addVillageDoorInfo(VillageDoorInfo par1VillageDoorInfo)

    - #### isAnnihilated

          public boolean isAnnihilated()

      Returns true, if there is not a single village door left. Called by VillageCollection

    - #### addOrRenewAgressor

          public void addOrRenewAgressor(EntityLivingBase par1EntityLivingBase)

    - #### findNearestVillageAggressor

          public EntityLivingBase findNearestVillageAggressor(EntityLivingBase par1EntityLivingBase)

    - #### func_82685_c

          public EntityPlayer func_82685_c(EntityLivingBase par1EntityLivingBase)

    - #### getReputationForPlayer

          public int getReputationForPlayer(String par1Str)

      Return the village reputation for a player

    - #### setReputationForPlayer

          public int setReputationForPlayer(String par1Str,
                                   int par2)

      Set the village reputation for a player.

    - #### isPlayerReputationTooLow

          public boolean isPlayerReputationTooLow(String par1Str)

      Return whether this player has a too low reputation with this village.

    - #### readVillageDataFromNBT

          public void readVillageDataFromNBT(NBTTagCompound par1NBTTagCompound)

      Read this village's data from NBT.

    - #### writeVillageDataToNBT

          public void writeVillageDataToNBT(NBTTagCompound par1NBTTagCompound)

      Write this village's data to NBT.

    - #### endMatingSeason

          public void endMatingSeason()

      Prevent villager breeding for a fixed interval of time

    - #### isMatingSeason

          public boolean isMatingSeason()

      Return whether villagers mating refractory period has passed

    - #### func_82683_b

          public void func_82683_b(int par1)